## ros-one-depth-image-publisher 1.2.19-6jammy.20251025.2050

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-6jammy.20251025.2050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 25 Oct 2025 20:50:24 +0000

ros-one-depth-image-publisher (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-depth-image-publisher (1.2.18-0jammy) jammy; urgency=high

  * Merge branch 'master' into ccache-version
  * Merge branch 'master' into invert-mask
  * Merge pull request #2762 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2762> from knorth55/depth-image-publisher
    add depth_image_publisher package
  * use CV_CAP_PROP_POS_FRAMES for CV_MAJOR_VERSION < 3, boost::placeholders::_1 -> _1 for back compatibility
  * depth_image_publisher:CMakeLists.txt: use find_package(OpenCV 2) for indigo
  * Revert "support opencv 2.4"
    This reverts commit 51b35843472637c6fb6d73152d6ed2fa9d9b8fd5.
  * support opencv 2.4
  * add depth_image_publisher package
  * Contributors: Kei, Kei Okada, Shingo Kitagawa
  * add depth_image_publisher package (#2762 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2762> )
  * Contributors: Shingo Kitagawa, Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-depth-image-publisher (1.2.17-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-depth-image-publisher (1.2.16-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-depth-image-publisher (1.2.15-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.14-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.13-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.12-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.11-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.10-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.9-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.8-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.7-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.6-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.5-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.4-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.3-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.2.2-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.2.1-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 20:44:00 -0000

ros-one-depth-image-publisher (1.2.0-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 09:14:00 -0000

ros-one-depth-image-publisher (1.1.3-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.2-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 16 Jun 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.1-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 04 Mar 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.0-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Feb 2017 22:50:00 -0000

ros-one-depth-image-publisher (1.0.4-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Feb 2017 22:48:00 -0000

ros-one-depth-image-publisher (1.0.3-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 08 Feb 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.0.2-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Jan 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.0.1-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-depth-image-publisher (1.0.0-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-one-depth-image-publisher (0.3.29-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 30 Oct 2016 00:00:00 -0000

ros-one-depth-image-publisher (0.3.28-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 29 Oct 2016 16:34:00 -0000

ros-one-depth-image-publisher (0.3.27-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 29 Oct 2016 00:14:00 -0000



## ros-one-depth-image-publisher 1.2.19-6noble.20251025.2048

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(depth_image_publisher)

find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure camera_info_manager sensor_msgs image_transport nodelet roscpp)

find_package(OpenCV REQUIRED COMPONENTS core)
message(STATUS "opencv version ${OpenCV_VERSION}")
if(OpenCV_VERSION VERSION_LESS "3.0.0")
  find_package(OpenCV 2 REQUIRED)
elseif(OpenCV_VERSION VERSION_LESS "4.0.0")
  find_package(OpenCV 3 REQUIRED COMPONENTS core imgcodecs videoio)
else()
  find_package(OpenCV 4 REQUIRED COMPONENTS core imgcodecs videoio)
endif()

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/DepthImagePublisher.cfg)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} SHARED src/nodelet/depth_image_publisher_nodelet.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS depth_image_publisher
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_executable(depth_image_publisher_exe src/node/depth_image_publisher.cpp)
SET_TARGET_PROPERTIES(depth_image_publisher_exe PROPERTIES OUTPUT_NAME depth_image_publisher)
target_link_libraries(depth_image_publisher_exe ${catkin_LIBRARIES})

install(TARGETS depth_image_publisher_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)


if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)
  add_rostest(test/depth_image_publisher.test)
  roslaunch_add_file_check(test/depth_image_publisher.test)
endif()

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-6noble.20251025.2048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 25 Oct 2025 20:48:26 +0000

ros-one-depth-image-publisher (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-depth-image-publisher (1.2.18-0noble) noble; urgency=high

  * Merge branch 'master' into ccache-version
  * Merge branch 'master' into invert-mask
  * Merge pull request #2762 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2762> from knorth55/depth-image-publisher
    add depth_image_publisher package
  * use CV_CAP_PROP_POS_FRAMES for CV_MAJOR_VERSION < 3, boost::placeholders::_1 -> _1 for back compatibility
  * depth_image_publisher:CMakeLists.txt: use find_package(OpenCV 2) for indigo
  * Revert "support opencv 2.4"
    This reverts commit 51b35843472637c6fb6d73152d6ed2fa9d9b8fd5.
  * support opencv 2.4
  * add depth_image_publisher package
  * Contributors: Kei, Kei Okada, Shingo Kitagawa
  * add depth_image_publisher package (#2762 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2762> )
  * Contributors: Shingo Kitagawa, Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-depth-image-publisher (1.2.17-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-depth-image-publisher (1.2.16-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-depth-image-publisher (1.2.15-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.14-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.13-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.12-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.11-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-depth-image-publisher (1.2.10-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.9-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.8-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.7-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-depth-image-publisher (1.2.6-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.5-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.4-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-depth-image-publisher (1.2.3-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.2.2-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.2.1-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 20:44:00 -0000

ros-one-depth-image-publisher (1.2.0-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 09:14:00 -0000

ros-one-depth-image-publisher (1.1.3-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.2-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 16 Jun 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.1-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 04 Mar 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.1.0-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Feb 2017 22:50:00 -0000

ros-one-depth-image-publisher (1.0.4-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Feb 2017 22:48:00 -0000

ros-one-depth-image-publisher (1.0.3-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 08 Feb 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.0.2-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Jan 2017 00:00:00 -0000

ros-one-depth-image-publisher (1.0.1-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-depth-image-publisher (1.0.0-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-one-depth-image-publisher (0.3.29-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 30 Oct 2016 00:00:00 -0000

ros-one-depth-image-publisher (0.3.28-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 29 Oct 2016 16:34:00 -0000

ros-one-depth-image-publisher (0.3.27-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 29 Oct 2016 00:14:00 -0000



=== debian/control ===
Source: ros-one-depth-image-publisher
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-camera-info-manager, ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/depth_image_publisher
Standards-Version: 3.9.2

Package: ros-one-depth-image-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-camera-info-manager, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: Contains a node publish an image stream from single image file or avi motion file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-depth-image-publisher//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-depth-image-publisher 1.2.19-12jammy.20251215.2059

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-12jammy.20251215.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 15 Dec 2025 20:59:07 +0000

## ros-one-depth-image-publisher 1.2.19-12jammy.20260220.2339

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-12jammy.20260220.2339) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 20 Feb 2026 23:39:26 +0000

## ros-one-depth-image-publisher 1.2.19-12noble.20251215.2057

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-12noble.20251215.2057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 15 Dec 2025 20:58:00 +0000

## ros-one-depth-image-publisher 1.2.19-12noble.20260221.0001

=== debian/changelog ===
ros-one-depth-image-publisher (1.2.19-12noble.20260221.0001) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 21 Feb 2026 00:01:04 +0000
